Page MenuHomeYugipedia

Check extensions for uses of $wgUser
Open, NormalPublic

Description

We use several unmaintained extensions. The $wgUser global is being deprecated and will be removed (probably in MediaWiki 1.34), see T159299 Deprecate $wgUser on Wikimedia Phabricator. Therefore, we need to make sure that the extensions we use, don't use this global, or have appropriately updated versions available, before we'll be able to upgrade to/past MW 1.34.

Note that $wgUser isn't the only such global, it's just the one I happen to be thinking about right now. See T159283 on Wikimedia Phabricator for a (hopefully) comprehensive list and individual tasks.

Event Timeline